> ## Documentation Index
> Fetch the complete documentation index at: https://docs.unifygtm.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get results

> Get results for a finished sequence enrollment step query job.



## OpenAPI

````yaml GET /sequences/v1/enrollment-steps/query-jobs/{job_id}/results
openapi: 3.1.0
info:
  title: Unify Sequences API
  summary: Interact with sequences and sequence enrollments within the Unify platform.
  version: '1'
  termsOfService: https://www.unifygtm.com/legal/terms-and-conditions
  contact:
    name: Unify Support
    url: https://www.unifygtm.com/support
    email: support@unifygtm.com
servers:
  - url: https://api.unifygtm.com
    variables: {}
security:
  - ApiKeyAuth: []
tags:
  - name: Sequences
  - name: Sequence Enrollment Steps
  - name: Sequence Enrollments
paths:
  /sequences/v1/enrollment-steps/query-jobs/{job_id}/results:
    get:
      tags:
        - Sequences
        - Sequence Enrollment Steps
      description: |-
        Get query job results. By default this returns JSON. Send
        `Accept: application/x-ndjson` to stream newline-delimited JSON.
      operationId: get_sequence_enrollment_step_query_job_results
      parameters:
        - name: job_id
          in: path
          required: true
          schema:
            type: string
        - name: page
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
          explode: false
        - name: page_size
          in: query
          required: false
          description: |-
            Maximum is 2,000 for JSON responses and 10,000 when `Accept` is
            `application/x-ndjson`.
          schema:
            type: integer
            minimum: 1
            maximum: 10000
          explode: false
      responses:
        '200':
          description: >-
            Successful response returned when fetching completed query job
            results.
          headers:
            x-total:
              required: false
              description: Total result count. Present for NDJSON responses.
              schema:
                type: integer
            x-page:
              required: false
              description: Result page number. Present for NDJSON responses.
              schema:
                type: integer
            x-page-size:
              required: false
              description: Result page size. Present for NDJSON responses.
              schema:
                type: integer
          content:
            application/json:
              schema:
                type: object
                required:
                  - total
                  - page
                  - page_size
                  - data
                properties:
                  total:
                    type: integer
                  page:
                    type: integer
                  page_size:
                    type: integer
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/SequenceEnrollmentStep'
                description: >-
                  Successful response returned when fetching completed query job
                  results.
            application/x-ndjson:
              schema:
                type: string
        '400':
          description: Response for any operation that results in a bad request error.
          content:
            application/json:
              schema:
                type: object
                required:
                  - status
                properties:
                  status:
                    type: string
                    enum:
                      - bad_request
                  errors:
                    type: array
                    items:
                      $ref: '#/components/schemas/UResponses.BadRequestError'
                  message:
                    type: string
                description: >-
                  Response for any operation that results in a bad request
                  error.
        '401':
          description: Response for any operation that results in an unauthorized error.
          content:
            application/json:
              schema:
                type: object
                required:
                  - status
                  - message
                properties:
                  status:
                    type: string
                    enum:
                      - unauthorized
                  message:
                    type: string
                description: >-
                  Response for any operation that results in an unauthorized
                  error.
        '404':
          description: Response returned when a query job cannot be found.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetBulkApiJobNotFoundResponse'
        '409':
          description: Response returned when query job results are not ready yet.
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/GetBulkApiJobResultsNotReadyResponse'
                  - $ref: '#/components/schemas/GetBulkApiJobResultsFailedResponse'
                  - $ref: '#/components/schemas/GetBulkApiJobResultsCanceledResponse'
        '410':
          description: Response returned when query job results have expired.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetBulkApiJobResultsExpiredResponse'
        '413':
          description: >-
            Response returned when a requested query job results page is too
            large.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/GetBulkApiJobResultsPayloadTooLargeResponse
        '429':
          description: Response for any operation that exceeds a rate limit.
          content:
            application/json:
              schema:
                type: object
                required:
                  - status
                  - message
                properties:
                  status:
                    type: string
                    enum:
                      - rate_limited
                  message:
                    type: string
                description: Response for any operation that exceeds a rate limit.
        '500':
          description: Response for any operation that results in an internal server error.
          content:
            application/json:
              schema:
                type: object
                required:
                  - status
                  - message
                properties:
                  status:
                    type: string
                    enum:
                      - error
                  message:
                    type: string
                description: >-
                  Response for any operation that results in an internal server
                  error.
components:
  schemas:
    SequenceEnrollmentStep:
      type: object
      required:
        - id
        - updated_at
        - type
        - status
        - is_blocked
        - is_bounced
        - is_canceled
        - is_opted_out
        - is_paused
        - is_replied
        - sequence
        - step_number
        - started_at
        - ended_at
        - enrollment
        - email_message
        - reply_email_message
      properties:
        id:
          type: string
        updated_at:
          type: string
        type:
          anyOf:
            - $ref: '#/components/schemas/SequenceEnrollmentStepType'
            - type: 'null'
        status:
          $ref: '#/components/schemas/SequenceEnrollmentStepStatus'
        is_blocked:
          type: boolean
        is_bounced:
          type: boolean
        is_canceled:
          type: boolean
        is_opted_out:
          type: boolean
        is_paused:
          type: boolean
        is_replied:
          type: boolean
        sequence:
          type: object
          properties:
            id:
              type: string
            name:
              anyOf:
                - type: string
                - type: 'null'
            is_paused:
              type: boolean
            version:
              anyOf:
                - type: integer
                - type: 'null'
          required:
            - id
            - name
            - is_paused
            - version
        step_number:
          anyOf:
            - type: integer
            - type: 'null'
          minimum: 1
          description: >-
            Position of the step in the enrollment, starting at 1. Null until
            the

            step is expected to run or has finished.
        started_at:
          anyOf:
            - type: string
            - type: 'null'
        ended_at:
          anyOf:
            - type: string
            - type: 'null'
        enrollment:
          $ref: '#/components/schemas/SequenceEnrollmentSummary'
        email_message:
          anyOf:
            - $ref: '#/components/schemas/SequenceEnrollmentStepEmailMessage'
            - type: 'null'
        reply_email_message:
          anyOf:
            - $ref: '#/components/schemas/ReplyEmailMessage'
            - type: 'null'
      description: >-
        Sequence enrollment step row returned by the sequence enrollment step
        query jobs.
    UResponses.BadRequestError:
      type: object
      required:
        - code
      properties:
        code:
          type: string
        path:
          type: array
          items:
            anyOf:
              - type: string
              - type: integer
        object_api_name:
          type: string
        attribute_api_name:
          type: string
      allOf:
        - type: object
          unevaluatedProperties: {}
      description: Validation error detail returned for bad request responses.
    GetBulkApiJobNotFoundResponse:
      type: object
      allOf:
        - type: object
          required:
            - status
            - message
          properties:
            status:
              type: string
              enum:
                - not_found
            message:
              type: string
          description: Response for any operation that results in a not found error.
      description: Response returned when a query job cannot be found.
    GetBulkApiJobResultsNotReadyResponse:
      type: object
      allOf:
        - type: object
          required:
            - status
            - message
          properties:
            status:
              type: string
              enum:
                - results_not_ready
            message:
              type: string
          description: Response for any operation that results in a conflict error.
      description: Response returned when query job results are not ready yet.
    GetBulkApiJobResultsFailedResponse:
      type: object
      allOf:
        - type: object
          required:
            - status
            - message
          properties:
            status:
              type: string
              enum:
                - results_failed
            message:
              type: string
          description: Response for any operation that results in a conflict error.
      description: Response returned when a query job failed and has no results.
    GetBulkApiJobResultsCanceledResponse:
      type: object
      allOf:
        - type: object
          required:
            - status
            - message
          properties:
            status:
              type: string
              enum:
                - results_canceled
            message:
              type: string
          description: Response for any operation that results in a conflict error.
      description: Response returned when a query job was canceled and has no results.
    GetBulkApiJobResultsExpiredResponse:
      type: object
      required:
        - status
        - message
      properties:
        status:
          type: string
          enum:
            - results_expired
        message:
          type: string
      description: Response returned when query job results have expired.
    GetBulkApiJobResultsPayloadTooLargeResponse:
      type: object
      required:
        - status
        - message
      properties:
        status:
          type: string
          enum:
            - results_page_too_large
        message:
          type: string
      description: Response returned when a requested query job results page is too large.
    SequenceEnrollmentStepType:
      type: string
      enum:
        - AUTOMATIC_EMAIL
        - MANUAL_EMAIL
        - ACTION_ITEM
        - ZAPIER
        - PHONE_CALL
        - MANUAL_LINKEDIN_PROFILE_VIEW
        - MANUAL_LINKEDIN_CONNECTION
        - MANUAL_LINKEDIN_MESSAGE
      description: Type of a sequence enrollment step.
    SequenceEnrollmentStepStatus:
      type: string
      enum:
        - NOT_STARTED
        - SCHEDULED
        - PENDING
        - FINISHED
        - CANCELED
        - ERRORED
        - UNREACHABLE
      description: Status of an individual sequence enrollment step.
    SequenceEnrollmentSummary:
      type: object
      required:
        - id
        - mailbox
        - person
      properties:
        id:
          type: string
        mailbox:
          $ref: '#/components/schemas/SequenceMailbox'
        person:
          $ref: '#/components/schemas/SequencePerson'
      description: >-
        Enrollment details embedded in sequence enrollment step query job
        results.
    SequenceEnrollmentStepEmailMessage:
      type: object
      required:
        - id
        - subject
        - sent_at
        - from_email_address
        - is_bounced
        - is_opted_out
        - clicks
        - opens
      properties:
        id:
          type: string
        subject:
          anyOf:
            - type: string
            - type: 'null'
        sent_at:
          anyOf:
            - type: string
            - type: 'null'
        from_email_address:
          anyOf:
            - type: string
            - type: 'null'
        is_bounced:
          type: boolean
        is_opted_out:
          type: boolean
        clicks:
          type: integer
          minimum: 0
        opens:
          type: integer
          minimum: 0
      description: >-
        Sent email message details embedded in sequence enrollment step query
        job results.
    ReplyEmailMessage:
      type: object
      required:
        - id
        - subject
        - classifications
      properties:
        id:
          $ref: '#/components/schemas/uuid'
        subject:
          anyOf:
            - type: string
            - type: 'null'
        classifications:
          type: array
          items:
            $ref: '#/components/schemas/ReplyEmailClassification'
      description: Reply email message details embedded in sequence API results.
    SequenceMailbox:
      type: object
      required:
        - id
        - email_address
        - forward_to_email_address
        - secondary_forward_to_email_address
        - display_name
        - is_paused
        - is_unauthorized
        - user
        - secondary_forward_to_user
      properties:
        id:
          type: string
        email_address:
          anyOf:
            - type: string
            - type: 'null'
        forward_to_email_address:
          anyOf:
            - type: string
            - type: 'null'
        secondary_forward_to_email_address:
          anyOf:
            - type: string
            - type: 'null'
        display_name:
          anyOf:
            - type: string
            - type: 'null'
        is_paused:
          type: boolean
        is_unauthorized:
          type: boolean
        user:
          anyOf:
            - $ref: '#/components/schemas/SequenceUser'
            - type: 'null'
        secondary_forward_to_user:
          anyOf:
            - $ref: '#/components/schemas/SequenceUser'
            - type: 'null'
      description: Mailbox details embedded in sequence query job results.
    SequencePerson:
      type: object
      required:
        - id
        - email
        - first_name
        - last_name
        - linkedin_url
        - company
      properties:
        id:
          type: string
        email:
          type: string
        first_name:
          anyOf:
            - type: string
            - type: 'null'
        last_name:
          anyOf:
            - type: string
            - type: 'null'
        linkedin_url:
          anyOf:
            - type: string
            - type: 'null'
        company:
          anyOf:
            - $ref: '#/components/schemas/SequenceCompany'
            - type: 'null'
      description: Person details embedded in sequence query job results.
    uuid:
      type: string
      format: uuid
      description: String UUID value.
    ReplyEmailClassification:
      type: object
      required:
        - id
        - category
      properties:
        id:
          $ref: '#/components/schemas/uuid'
        category:
          $ref: '#/components/schemas/ReplyEmailClassificationCategory'
      description: Reply email classification details embedded in sequence API results.
    SequenceUser:
      type: object
      required:
        - id
        - email
        - first_name
        - last_name
      properties:
        id:
          type: string
        email:
          type: string
        first_name:
          anyOf:
            - type: string
            - type: 'null'
        last_name:
          anyOf:
            - type: string
            - type: 'null'
      description: User details embedded in sequence query job results.
    SequenceCompany:
      type: object
      required:
        - id
        - name
        - domain
        - linkedin_url
      properties:
        id:
          type: string
        name:
          anyOf:
            - type: string
            - type: 'null'
        domain:
          type: string
        description:
          anyOf:
            - type: string
            - type: 'null'
          description: Present in enrollment results and omitted in step results.
        linkedin_url:
          anyOf:
            - type: string
            - type: 'null'
      description: Company details embedded in sequence query job results.
    ReplyEmailClassificationCategory:
      type: string
      enum:
        - AUTOMATED
        - NEGATIVE
        - NEUTRAL
        - POSITIVE
      description: Reply classification category.
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.